/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.ar;

import org.opensaml.common.SAMLObject;

import edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext;
import edu.internet2.middleware.shibboleth.common.relyingparty.ProfileConfiguration;

/**
 *
 */
public class UApproveBaseSAMLProfileRequestContext extends
        BaseSAMLProfileRequestContext<SAMLObject, SAMLObject, SAMLObject, ProfileConfiguration> {

    private boolean mandatoryMode;

    public UApproveBaseSAMLProfileRequestContext() {
        super();
        mandatoryMode = false;
    }

    /**
     * @return Returns the mandatoryMode.
     */
    public boolean isMandatoryMode() {
        return mandatoryMode;
    }

    /**
     * @param mandatoryMode The mandatoryMode to set.
     */
    public void setMandatoryMode(final boolean mandatoryMode) {
        this.mandatoryMode = mandatoryMode;
    }

}
