<%@ include file="list-approvals-header.jsp" %>
<body>
    <script type="text/javascript">
    function setRevocationRelyingParty(relyingPartyId) {
        document.listpage.revocation.value = relyingPartyId;
    }
    </script>

    <div class="box">
        <div class="box_header">
            <img src="<%= request.getContextPath()%>/uApprove/federation-logo.png" alt="" class="federation_logo" >
            <img src="<%= request.getContextPath()%>/uApprove/logo.png" alt="" class="organization_logo">
        </div>

    <c:choose>
    <c:when test="${fn:length(serviceAccessDatas) == 0}">
        <p style="margin-top: 70px;">
            <fmt:message key="txt_a"/><br/>
        </p>
        <form method="post" name="listpage">
            <div class="form-fields" align="right">
                <input type="submit" name="<%= PageControl.LIST_EXIT %>"
                       value="<fmt:message key="lb_exit"/>">
            </div>
        </form>
    </c:when>
    <c:otherwise>
        <c:set var="general" value="${serviceAccessDatas[0].generalConsented}"/>

        <c:choose>
        <c:when test="${general}">
            <p style="margin-top: 70px;">
                <fmt:message key="txt_c"/>
            </p>
            <ul>
                <li><fmt:message key="txt_c1"/></li>
            </ul>
        </c:when>
        <c:otherwise>
            <p style="margin-top: 70px;">
                <fmt:message key="txt_b"/>
            </p>
            <ul>
                <li><fmt:message key="txt_b1"/></li>
                <li><fmt:message key="txt_b2"/></li>
            </ul>
        </c:otherwise>
        </c:choose>

        <form method="post" name="listpage">
            <input type="hidden" name="revocation">
            <div id="attributeRelease">
                <table>
                    <colgroup>
                        <col class="header">
                        <col class="value">
                        <col class="button">
                    </colgroup>
                    <thead>
                       <tr>
                          <th colspan="3">
                              <fmt:message key="txt_title"/>
                          </th>
                       </tr>
                    </thead>
                    <tbody id="mandatoryAttrs">
                <c:forEach var="sad" items="${serviceAccessDatas}" varStatus="status">
                    <c:choose>
                    <c:when test="${status.count % 2 == 0}">
                        <c:set var="rowStyle" value="background-color:#E4E5E3;"/>
                    </c:when>
                    <c:otherwise>
                        <c:set var="rowStyle" value=""/>
                    </c:otherwise>
                    </c:choose>

                    <c:choose>
                    <c:when test="${general}">
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_service_name"/>
                        </th>
                        <td><fmt:message key="txt_global"/></td>
                        <td rowspan="4">
                            <input type="submit" name="<%= PageControl.RESET_NEXT %>"
                                   value="<fmt:message key="lb_del"/>"/>
                        </td>
                    </tr>
                    </c:when>
                    <c:otherwise>
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_service_name"/>
                        </th>
                        <td>${sad.serviceName}</td>
                        <td rowspan="5">
                            <input type="submit" name="<%= PageControl.REVOKE_NEXT %>"
                                   value="<fmt:message key="lb_del"/>"
                                   onmouseover="setRevocationRelyingParty('${sad.relyingPartyId}')"/>
                        </td>
                    </tr>
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_entity_id"/>
                        </th>
                        <td>${sad.relyingPartyId}</td>
                    </tr>
                    </c:otherwise>
                    </c:choose>
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_arp_date"/>
                        </th>
                        <td>${sad.consentDateString}</td>
                    </tr>
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_lastaccess"/>
                        </th>
                        <td>${sad.backChannelLastAccessString}</td>
                    </tr>
                    <tr style="${rowStyle}">
                        <th class="list-item" style="${rowStyle}">
                            <fmt:message key="txt_access_count"/>
                        </th>
                        <td>${sad.backChannelAccessCountString}</td>
                    </tr>
                </c:forEach>
                    </tbody>
                </table>
            </div>
            <div class="form-fields" align="right">
                <input type="submit" name="<%= PageControl.LIST_EXIT %>"
                       value="<fmt:message key="lb_exit"/>">
            <c:if test="${general == false}">
                <input type="submit" name="<%= PageControl.REVOKE_ALL_NEXT %>"
                       value="<fmt:message key="lb_delall"/>">
            </c:if>
            </div>
        </form>
    </c:otherwise>
    </c:choose>
    </div>
</body>
<%@ include file="footer.jsp" %>
