/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.shibboleth.common.config.attribute.filtering.match.uapprove;

import edu.internet2.middleware.shibboleth.common.config.BaseSpringNamespaceHandler;

/**
 * Namespace handler for the attribute filter engine uApprove match functions.
 */
public class UapproveMatchFunctorNamespaceHandler extends BaseSpringNamespaceHandler {

    /** Basic match function namespace. */
    public static final String NAMESPACE = "http://www.gakunin.jp/ns/uapprove-jp/afp/mf";

    /** {@inheritDoc} */
    public void init() {
        registerBeanDefinitionParser(AttributeInMetadataMatchFunctorBeanDefinitionParser.SCHEMA_TYPE,
                new AttributeInMetadataMatchFunctorBeanDefinitionParser());
    }
}