/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.sad;

/**
 *
 */
public interface CheckConsentState {
    /**
     * Determine if consent is required.
     * 
     * @param principalName
     * @param relyingPartyId
     * @return Returns true if consent is required.
     */
    public boolean requiresConsent(final String principalName, final String relyingPartyId);
}
