/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import jp.gakunin.uApprovejp.saml2.metadata.Description;
import jp.gakunin.uApprovejp.saml2.metadata.UApprovejpMetadata;

import org.opensaml.common.impl.AbstractSAMLObjectBuilder;

public class DescriptionBuilder extends AbstractSAMLObjectBuilder<Description> {

    @Override
    public Description buildObject() {
        return buildObject(UApprovejpMetadata.NAMESPACE, Description.DEFAULT_ELEMENT_LOCAL_NAME,
                UApprovejpMetadata.PREFIX);
    }

    @Override
    public Description buildObject(final String namespaceURI, final String localName, final String namespacePrefix) {
        return new DescriptionImpl(namespaceURI, localName, namespacePrefix);
    }

}
