/*
 * Copyright (c) 2014, National Institute of Informatics
 */

package jp.gakunin.uApprovejp.saml2.metadata.impl;

import jp.gakunin.uApprovejp.saml2.metadata.RequestedAttributeExtension;

import org.opensaml.saml2.core.impl.AttributeMarshaller;
import org.opensaml.xml.XMLObject;
import org.opensaml.xml.io.MarshallingException;
import org.w3c.dom.Element;

/**
 *
 */
public class RequestedAttributeExtensionMarshaller extends AttributeMarshaller {

    /**
     * Constructor.
     * 
     */
    public RequestedAttributeExtensionMarshaller() {
        super();
    }

    /** {@inheritDoc} */
    protected void marshallAttributes(final XMLObject samlObject, final Element domElement) throws MarshallingException {
        final RequestedAttributeExtension requestedAttributeExtension = (RequestedAttributeExtension) samlObject;

        domElement.setAttributeNS(null, RequestedAttributeExtension.FRIENDLY_NAME_ATTRIB_NAME,
                requestedAttributeExtension.getFriendlyName());

        super.marshallAttributes(samlObject, domElement);
    }
}
